#!/bin/sh

# description: Start/Stop roulettesound
#
# This file belongs in /etc/init.d where it will be run
# on system startup and shutdown to start the roulettesound
# This program is used for repairing the database file, every
# bootup.


# This init script contains functions specific for redhat
# and mandrake init scripts.

# Source function library.
. /etc/rc.d/init.d/functions


#**************** ROULETTESOUND ******************

export PROGRAM_FOLDER=/RouletteMaster/AddNewPS/
export PROGRAM_FILENAME=addnewpsdeamon
export PROGRAM_PORT=6600

# Check if the file is there and it is executable.
if [ ! -x $PROGRAM_FOLDER/$PROGRAM_FILENAME ] 
then
	echo $"$PROGRAM_FOLDER/$PROGRAM_FILENAME does not exist or it is not an executable" 
	exit 0
fi


start(){

	if [ -n "$(ps -A |grep $PROGRAM_FILENAME)" ] 
	then
	 	echo $"$PROGRAM_FILENAME is already running" 
		return 0
	fi

	echo -n $"Starting $PROGRAM_FILENAME:     "
	cd $PROGRAM_FOLDER
	echo "Program start................." >> ./program.out
	nohup ./$PROGRAM_FILENAME $PROGRAM_PORT >> ./program.out &
	RETVAL=$?
	sleep 1
	echo "Done!"
	return $RETVAL
}

stop(){
	if [ -z "$(ps -A |grep $PROGRAM_FILENAME)" ] 
	then
	 	echo $"$PROGRAM_FILENAME is not running" 
		return 0
	fi
	
	echo -n $"Stoping $PROGRAM_FILENAME:     "
	echo "Program stop................." >> $PROGRAM_FOLDER/program.out
	killall $PROGRAM_FILENAME &>/dev/null	
	RETVAL=$?
	sleep 1
	echo "Done!"
	return $RETVAL
}



# See how we were called.
case "$1" in
  start)
	start
	;;	
  stop) 
	stop
	;;
  restart|reload)
	stop
	start
	;;
  *)
	echo -n $"Usage: addnewpsdeamon {start|stop|restart|reload|help}"
	exit 1
esac

exit $RETVAL

